Page 1 of 3 123 LastLast
Results 1 to 10 of 27

Thread: M2 -> M3 upgrade

Hybrid View

  1. #1
    Join Date
    Nov 2005
    Posts
    19
    Rep Power
    10

    Default M2 -> M3 upgrade

    Hi,

    I am running M2 version with no problems. I have active users on it and seems to work well.

    I want to upgrade to M3 but I am bit scared since the last time I upgraded (M1->M2) it was not smooth, and I had to recreate all the users manually and to import user emails from a backup.

    Is upgrade procedure/scripts is a part of M3 release ?

    Did anyone upgraded from M2 to M3 ?

    Are there any issues that I should be aware of ?

    Thanks in advance.

  2. #2
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    14

    Default upgrade

    The upgrade is built into the installer, and it's much, much, much smoother than before. The system will detect the version you had, modify what needs to be modified in the dbs, and your user base, etc, will be retained.

  3. #3
    Join Date
    Jan 2006
    Location
    Philippines
    Posts
    8
    Rep Power
    9

    Default

    Will be doing an upgrade later on my test platform (CentOS 4.2) using RHEL4 binary M3 release. Will let you guys know what transpired.

  4. #4
    Join Date
    Nov 2005
    Posts
    19
    Rep Power
    10

    Default Little update

    I've done the upgrade and the process was smooth and painless, except one issue.

    Zimbra Tomcat on my installation works on different server port (not 8005), and this setting was overwritten by Zimbra.

    Thanks.

  5. #5
    Join Date
    Dec 2005
    Location
    Peterborough, UK
    Posts
    140
    Rep Power
    10

    Default No Web UI

    I've just upgraded from M2 to M3, and everything went relatively smoothly. The only error I had was a port conflict warning on LDAP/LDAPS. When I checked all seemed ok; so I proceeded to check the Admin Console, again all seems ok. I then went to log in via the web UI and then I hit a stickler, nothing

    I had M2 configured to use https, so I thought that maybe the upgrade had changed it to use http by default, so I ran zmtlsctl https and restarted tomcat. Still no luck I can send and recieve mail via ThunderBird and Outlook, but not the web UI. Anyone got any idea?

    Oh while I remember I get a 500 error when I try and notify Zimbra of my installation. The link that was generated by the install is:

    http://www.zimbra.com/cgi-bin/notify...awk.forcev.net

  6. #6
    Join Date
    Nov 2005
    Location
    Austria
    Posts
    223
    Rep Power
    10

    Default

    When I upgraded the warning with the LDAP port conflict also showed up.

    After the upgrade the server was configured to use http. I changed it to https, restartet the tomcat server, but when I wanted to access the web GUI, it didn't work. So i restarted the whole zimbra server, now it is working fine.

  7. #7
    Join Date
    Dec 2005
    Location
    Peterborough, UK
    Posts
    140
    Rep Power
    10

    Default

    Looks like I just needed to be patient After about 10mins all worked fine. The upgrade was probably as painless as any application I used, and definately the best for an OpenSource collaboration product Nice one chaps

  8. #8
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    14

    Default upgrade, http/https

    Glad it went smoothly - we learned our lesson on that one

    I'll check out the http/https mode setting retention. I'm in that code making it easier to change the ports, so I'll see what's up with the upgrade.

  9. #9
    Join Date
    Jan 2006
    Location
    Philippines
    Posts
    8
    Rep Power
    9

    Default

    Here's what happen with my upgrade (M2 to M3 on CentOS 4.2):

    1.) The install scripts is generating tons of this, i even got a file open limit error at one time.

    16310 tty1 S+ 0:00 /bin/bash /bin/unicode_start latarcyrheb-sun16

    2.) Upgrade failed and tried to override my previous installation, left it at 6pm yesterday and its not yet done until now and still generating tons of unicode_start tasks.


    Apologies to the Zimbra guys, i know CentOS is not officially supported yet.

  10. #10
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    14

    Default Lang=c?

    Try export LANG=C before you run the script

Similar Threads

  1. 4.5.4 -> 4.5.5 (Networkd Edition) Upgrade problems
    By spector@zeitgeist.com in forum Administrators
    Replies: 3
    Last Post: 10-18-2007, 06:06 AM
  2. 4.0.3 -> 4.5.1 upgrade
    By Storm16 in forum Installation
    Replies: 1
    Last Post: 02-11-2007, 09:44 PM
  3. fc4 zcs-3.0.1 -> 3.1 upgrade worked great.. almost
    By keyhman in forum Installation
    Replies: 29
    Last Post: 09-29-2006, 12:06 PM
  4. M1 -> M2 Upgrade Scripts
    By KevinH in forum Announcements
    Replies: 57
    Last Post: 12-15-2005, 10:10 AM
  5. Upgrade M1 -> M2? .... Yes!!
    By jholder in forum Installation
    Replies: 27
    Last Post: 11-20-2005, 04:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •